#!/bin/sh
url=$(svn info | awk '/^URL:/{gsub("/trunk$", "", $2); print $2}')
rev=$(svn info | awk '/^Revision:/{print $2}')
version=$(awk -F= '/^version=/{print $2}' mksnap.sh)
snap=$(date +%Y%m%d)
tag="$version-$snap"

echo "making tag: $tag at revision $rev"
svn cp $url/trunk $url/tags/$tag
